@charset "UTF-8";

/* ==========================================================================
   MV
========================================================================== */
#mv .mv__inner img {
  width: max(26vw, 30rem);
  max-width: 100%;
}
#mv .mv__inner h2 {
  font-size: max(1.25vw, 1.385em);
}

/* ==========================================================================
   About
========================================================================== */
#about .main-col .inner {
  display: flex;
  flex-direction: column;
  align-items: center;
}
#about .main-col .headline {
  align-items: center;
  width: max(31vw, 36rem);
  max-width: 100%;
  margin: 0 auto;
}
#about .main-col .headline .ttl {
  padding-left: 2.75em;
  font-size: 1.231em;
  margin-top: -1em;
}
#about .main-col .headline .ttl::before {
  content: '';
  display: block;
  width: 1.75em;
  height: 1px;
  margin-right: 1.25em;
  background: currentColor;
  position: absolute;
  top: 50%;
  left: 0;
}
#about .main-col .headline .svg-ttl {
  width: 100%;
  height: auto;
  position: relative;
  z-index: 2;
}
#about .main-col .imgBox {
  padding: 7.5%;
  margin: 12% auto 4%;
  position: relative;
}
#about .main-col .imgBox figure {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
}
#about .main-col picture,
#about .main-col picture img {
  border-radius: 1000px 1000px 0 0;
}
#about .main-col .copy,
#about .main-col .read {
  letter-spacing: .1em;
}
#about .main-col .more {
  width: 18.5em;
}

#about .right-col .video {
  width: 100%;
  aspect-ratio: 203/193;
  overflow: hidden;
}
#about .right-col .video video {
  display: block;
  width: 100%;
  aspect-ratio: 203/193;
  object-fit: cover;
  object-position: 25% 50%;
  transform: scale(1.15);
}

@media (max-width: 767px) {
  #about .left-col .inner {
    display: flex;
    justify-content: flex-end;
    gap: 3%;
  }
  #about .left-col .slider-wrapper {
    width: 37%;
  }
  #about .left-col picture {
    width: 50%;
  }
  #about .right-col .inner {
    display: flex;
    align-items: flex-end;
    gap: 3%;
  }
  #about .right-col .slider-wrapper {
    width: 50%;
  }
  #about .right-col .video {
    width: 28%;
  }
}
@media (min-width: 768px) {
  #about .left-col {
    align-self: flex-end;
  }
  #about .left-col picture {
    width: 80%;
    margin-left: auto;
    margin-top: 10px;
  }
  #about .main-col {
    padding-bottom: 16vw;
  }
  #about .main-col .inner {
    position: relative;
  }
  #about .main-col .headline {
    width: 31vw;
    position: absolute;
    top: 8vw;
    right: 85%;
  }
  #about .right-col {
    align-self: center;
  }
  #about .right-col .video {
    width: 55%;
    aspect-ratio: 203/193;
    margin-top: 10px;
  }
}

/* ==========================================================================
   Fair
========================================================================== */
#fair {
  overflow: hidden;
}


/* ==========================================================================
   Ceremony & Party
========================================================================== */
#ceremony_party .page__header .headline img {
  width: max(26vw, 30rem);
  max-width: 100%;
}
#ceremony_party .headline .ttl {
  padding-left: 2.75em;
}
#ceremony_party .headline .ttl::before {
  content: '';
  display: block;
  width: 1.75em;
  height: 1px;
  margin-right: 1.25em;
  background: currentColor;
  position: absolute;
  top: 50%;
  left: 0;
}

@media (max-width: 991px) {
  #ceremony_party .page__header .headline img {
    max-width: min(75vw, 22rem);
    height: auto;
  }
}
@media (max-width: 575px) {
  #ceremony_party .page__header .headline img {
    max-width: min(75vw, 28rem);
  }
}

/* ==========================================================================
   Cuisine
========================================================================== */
#cuisine .page__header picture {
  height: 46rem;
}
#cuisine .page__header picture::before {
  background: #000;
  opacity: .5;
}
#cuisine .page__header .more {
  color: inherit;
}
#cuisine .page__header .more {
  color: inherit;
  background-image: var(--arrow-path-w-dot);
}
#cuisine .page__header .more:hover {
  background-image: var(--arrow-path-w);
}

@media (max-width: 991px) {
  #cuisine .page__header .headline img {
    height: 4rem;
  }
}
@media (min-width: 576px) {
  #cuisine .page__header picture {
    height: max(40rem, 42vw);
  }
  #cuisine .page__header picture::before {
    background: linear-gradient(90deg, #000 0%, transparent 100%);
    opacity: .5;
  }
}


/* ==========================================================================
   Plan
========================================================================== */
#plan {
  overflow: hidden;
}

/* ==========================================================================
   Gallery
========================================================================== */
#gallery {
  overflow: hidden;
  position: relative;
}
#gallery .ttlBox {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background: rgba(240, 236, 224, 0.85);
  height: 77.5%;
  aspect-ratio: 1/1;
  border-radius: 100%;
  padding: 3rem;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
}
#gallery .infiniteslide {
  margin-bottom: 10px;
}
#gallery .infiniteslide li img,
#gallery .infiniteslide_reverse li img {
  max-width: calc(75vw - var(--bs-gutter-x));
  margin-right: 10px;
}
@media (min-width: 576px) {
  #gallery .ttlBox {
    height: 128%;
  }
  #gallery .infiniteslide li img,
  #gallery .infiniteslide_reverse li img {
    max-height: min(20.69rem, 20vw);
  }
}
@media (min-width: 768px) {
  #gallery .ttlBox {
    height: 110%;
  }
  #gallery .infiniteslide li img,
  #gallery .infiniteslide_reverse li img {
    max-height: min(20.69rem, 25vw);
  }
}
